/* $Id: thread.h 7759 2007-01-02 19:19:48Z rubidium $ */

#ifndef THREAD_H
#define THREAD_H

typedef struct OTTDThread OTTDThread;

typedef void* (*OTTDThreadFunc)(void*);

OTTDThread* OTTDCreateThread(OTTDThreadFunc, void*);
void*       OTTDJoinThread(OTTDThread*);
void        OTTDExitThread(void);

#endif /* THREAD_H */
